/* layouts */

.container {
  margin-left: auto;
  margin-right: auto;
  max-width: 92%;
  padding-inline-start: 1rem;
  padding-inline-end: 1rem
}

@media (min-width: 768px) {
  .container {
    padding-inline-start: 2rem;
    padding-inline-end: 2rem
  }
}

@media (min-width: 1500px) {
  .container {
    margin-left: auto;
    margin-right: auto;
    max-width: 1300px !important
  }
}

.section-divider-lg {
  margin-top: 4rem
}

.section-divider-sm {
  margin-top: 2rem
}

/* backgrounds */

.bg-primary {
  --tw-bg-opacity: 1;
  background-color: rgb(0 0 0 / var(--tw-bg-opacity, 1))
}

.bg-secondary {
  --tw-bg-opacity: 1;
  background-color: rgb(46 151 242 / var(--tw-bg-opacity, 1))
}

.bg-tirnary {
  --tw-bg-opacity: 1;
  background-color: rgb(217 217 217 / var(--tw-bg-opacity, 1))
}

.bg-body {
  --tw-bg-opacity: 1;
  background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1))
}

/* typography */

.text-primary {
  --tw-text-opacity: 1;
  color: rgb(0 0 0 / var(--tw-text-opacity, 1))
}

.text-secondary {
  --tw-text-opacity: 1;
  color: rgb(46 151 242 / var(--tw-text-opacity, 1))
}

.text-tirnary {
  --tw-text-opacity: 1;
  color: rgb(217 217 217 / var(--tw-text-opacity, 1))
}

.title {
  font-size: 16px
}

@media (min-width: 640px) {
  .title {
    font-size: 22px
  }
}

@media (min-width: 768px) {
  .title {
    font-size: 30px
  }
}

.hero-title {
  font-size: 30px;
  font-weight: 700
}

@media (min-width: 640px) {
  .hero-title {
    font-size: 40px
  }
}

@media (min-width: 768px) {
  .hero-title {
    font-size: 70px
  }
}

.main-title {
  font-size: 30px;
  font-weight: 700
}

@media (min-width: 640px) {
  .main-title {
    font-size: 40px
  }
}

@media (min-width: 768px) {
  .main-title {
    font-size: 40px
  }
}

.sub-title {
  font-size: 14px;
  font-weight: 700
}

@media (min-width: 640px) {
  .sub-title {
    font-size: 16px
  }
}

@media (min-width: 768px) {
  .sub-title {
    font-size: 20px
  }
}

.title-light {
  font-size: 16px;
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity, 1))
}

@media (min-width: 640px) {
  .title-light {
    font-size: 22px
  }
}

@media (min-width: 768px) {
  .title-light {
    font-size: 30px
  }
}

.sub-title-light {
  font-size: 16px;
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity, 1))
}

@media (min-width: 640px) {
  .sub-title-light {
    font-size: 22px
  }
}

@media (min-width: 768px) {
  .sub-title-light {
    font-size: 30px
  }
}

.paragraph {
  font-size: 13px
}

@media (min-width: 640px) {
  .paragraph {
    font-size: 16px
  }
}

@media (min-width: 768px) {
  .paragraph {
    font-size: 18px
  }
}

.paragraph-lg {
  font-size: 18px
}

@media (min-width: 640px) {
  .paragraph-lg {
    font-size: 20px
  }
}

@media (min-width: 768px) {
  .paragraph-lg {
    font-size: 25px
  }
}

.paragraph-light {
  font-size: 13px;
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity, 1))
}

@media (min-width: 640px) {
  .paragraph-light {
    font-size: 16px
  }
}

@media (min-width: 768px) {
  .paragraph-light {
    font-size: 18px
  }
}

/* layouts */

.grid-2 {
  display: grid;
  grid-template-columns: repeat(1, minmax(0, 1fr))
}

@media (min-width: 640px) {
  .grid-2 {
    grid-template-columns: repeat(2, minmax(0, 1fr))
  }
}

@media (min-width: 768px) {
  .grid-2 {
    grid-template-columns: repeat(2, minmax(0, 1fr))
  }
}

.grid-3 {
  display: grid;
  grid-template-columns: repeat(1, minmax(0, 1fr))
}

@media (min-width: 640px) {
  .grid-3 {
    grid-template-columns: repeat(2, minmax(0, 1fr))
  }
}

@media (min-width: 768px) {
  .grid-3 {
    grid-template-columns: repeat(3, minmax(0, 1fr))
  }
}

.grid-4 {
  display: grid;
  grid-template-columns: repeat(1, minmax(0, 1fr))
}

@media (min-width: 640px) {
  .grid-4 {
    grid-template-columns: repeat(2, minmax(0, 1fr))
  }
}

@media (min-width: 768px) {
  .grid-4 {
    grid-template-columns: repeat(4, minmax(0, 1fr))
  }
}

.flex-center {
  display: flex;
  align-items: center;
  justify-content: center
}

.flex-center-mobile {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center
}

@media (min-width: 768px) {
  .flex-center-mobile {
    flex-direction: row
  }
}

.flex-col-center {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center
}

.flex-between {
  display: flex;
  flex-direction: column;
  justify-content: space-between
}

@media (min-width: 768px) {
  .flex-between {
    flex-direction: row
  }
}

.flex-between-reverse {
  display: flex;
  flex-direction: column-reverse;
  justify-content: space-between
}

@media (min-width: 768px) {
  .flex-between-reverse {
    flex-direction: row
  }
}

.flex-col-between {
  display: flex;
  flex-direction: column;
  justify-content: space-between
}

.footer-icons-flex {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start
}

@media (min-width: 768px) {
  .footer-icons-flex {
    align-items: center
  }
}

/* end layouts */

/* buttons */

.btn-primary {
  border-radius: 0.25rem;
  --tw-bg-opacity: 1;
  background-color: rgb(0 0 0 / var(--tw-bg-opacity, 1));
  padding-left: 2.25rem;
  padding-right: 2.25rem;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity, 1))
}

.btn-primary:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(46 151 242 / var(--tw-bg-opacity, 1))
}

.btn-tirnary {
  border-radius: 0.25rem;
  --tw-bg-opacity: 1;
  background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
  padding-left: 2.25rem;
  padding-right: 2.25rem;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  font-weight: 700;
  --tw-text-opacity: 1;
  color: rgb(0 0 0 / var(--tw-text-opacity, 1))
}

.btn-tirnary:hover {
  --tw-bg-opacity: 1;
  background-color: rgb(46 151 242 / var(--tw-bg-opacity, 1));
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity, 1))
}

.btn-secondary {
  border-radius: 0.75rem;
  --tw-bg-opacity: 1;
  background-color: rgb(46 151 242 / var(--tw-bg-opacity, 1));
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  padding-top: 1rem;
  padding-bottom: 1rem;
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity, 1))
}

.btn-header {
  border-radius: 9999px;
  --tw-bg-opacity: 1;
  background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
  font-size: 0.875rem;
  line-height: 1.25rem;
  --tw-text-opacity: 1;
  color: rgb(0 0 0 / var(--tw-text-opacity, 1))
}

/* end buttons */

/* image fit */

html[lang="ar"] .object-fit-center-end {
  -o-object-fit: contain;
     object-fit: contain;
  -o-object-position: center;
     object-position: center
}

@media (min-width: 768px) {
  html[lang="ar"] .object-fit-center-end {
    -o-object-position: left;
       object-position: left
  }
}

html[lang="en"] .object-fit-center-end {
  -o-object-fit: contain;
     object-fit: contain;
  -o-object-position: center;
     object-position: center
}

@media (min-width: 768px) {
  html[lang="en"] .object-fit-center-end {
    -o-object-position: right;
       object-position: right
  }
}

/* end image fit */
